> For the complete documentation index, see [llms.txt](https://docs.mongenscave.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mongenscave.com/free-products/ipguard/plugin-faq.md).

# Plugin FAQ

### Why this plugin and not another one?

* **The Answer Is:** The plugin is feature rich, highly optimized and very secure for both players and server operators. A custom enhancement allows admins to be notified if an account is accessed unauthorized and the plugin is also able to list player names registered on a given IP in the embed message!

### How does the plugin support multi servers?

* **The Answer Is:** If you use MySQL on all those servers the account will be fully protected, and you only need to unprotect your account once as it will be valid for all servers.

```yaml
storage:
  #  driver: h2 / sqlite / mysql
  driver: 'mysql' # Use MySQL
  host: 'database-host'
  port: '3306'
  name: 'database-name'
  username: 'database-username'
  password: 'database-password'

  pool: # HikariCP config (Do not edit if you do not know what it is)
    maximumPoolSize: 10
    minimumIdle: 5
    connectionTimeout: 30000
    maxLifetime: 1800000
    idleTimeout: 600000
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mongenscave.com/free-products/ipguard/plugin-faq.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
